<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.jnbt (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.jnbt (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../../../com/sk89q/minecraft/util/commands/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.jnbt</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/ByteArrayTag.html" title="class in com.sk89q.jnbt">ByteArrayTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Byte_Array</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/ByteTag.html" title="class in com.sk89q.jnbt">ByteTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Byte</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Compound</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></td>
<td class="colLast">
<div class="block">Helps create compound tags.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/DoubleTag.html" title="class in com.sk89q.jnbt">DoubleTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Double</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/EndTag.html" title="class in com.sk89q.jnbt">EndTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_End</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/FloatTag.html" title="class in com.sk89q.jnbt">FloatTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Float</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/IntArrayTag.html" title="class in com.sk89q.jnbt">IntArrayTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Int_Array</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/IntTag.html" title="class in com.sk89q.jnbt">IntTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Int</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_List</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a></td>
<td class="colLast">
<div class="block">Helps create list tags.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/LongArrayTag.html" title="class in com.sk89q.jnbt">LongArrayTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Long_Array</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/LongTag.html" title="class in com.sk89q.jnbt">LongTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Long</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/NamedTag.html" title="class in com.sk89q.jnbt">NamedTag</a></td>
<td class="colLast">
<div class="block">A tag that has a name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/NBTConstants.html" title="class in com.sk89q.jnbt">NBTConstants</a></td>
<td class="colLast">
<div class="block">A class which holds constant values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/NBTInputStream.html" title="class in com.sk89q.jnbt">NBTInputStream</a></td>
<td class="colLast">
<div class="block">This class reads <strong>NBT</strong>, or <strong>Named Binary Tag</strong>
 streams, and produces an object graph of subclasses of the <code>Tag</code>
 object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/NBTOutputStream.html" title="class in com.sk89q.jnbt">NBTOutputStream</a></td>
<td class="colLast">
<div class="block">This class writes <strong>NBT</strong>, or <strong>Named Binary Tag</strong>
 <code>Tag</code> objects to an underlying <code>OutputStream</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/NBTUtils.html" title="class in com.sk89q.jnbt">NBTUtils</a></td>
<td class="colLast">
<div class="block">A class which contains NBT-related utility methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/ShortTag.html" title="class in com.sk89q.jnbt">ShortTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_Short</code> tag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/StringTag.html" title="class in com.sk89q.jnbt">StringTag</a></td>
<td class="colLast">
<div class="block">The <code>TAG_String</code> tag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a></td>
<td class="colLast">
<div class="block">Represents a NBT tag.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../../../com/sk89q/minecraft/util/commands/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
